Skip to content

Create Directory

beta.directories.create(DirectoryCreateParams**kwargs) -> DirectoryCreateResponse
POST/api/v1/beta/directories

Create a new directory within the specified project.

ParametersExpand Collapse
name: str

Human-readable name for the directory.

minLength1
organization_id: Optional[str]
project_id: Optional[str]
description: Optional[str]

Optional description shown to users.

expires_at: Optional[Union[str, datetime, null]]

When this directory expires. Required for ephemeral directories.

formatdate-time
system_metadata: Optional[Dict[str, object]]

Reserved system-managed metadata.

type: Optional[Literal["user", "ephemeral"]]

Directory type. Use ‘ephemeral’ for batch processing with automatic cleanup.

One of the following:
"user"
"ephemeral"
ReturnsExpand Collapse
class DirectoryCreateResponse:

API response schema for a directory.

id: str

Unique identifier for the directory.

name: str

Human-readable name for the directory.

minLength1
project_id: str

Project the directory belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
deleted_at: Optional[datetime]

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: Optional[str]

Optional description shown to users.

expires_at: Optional[datetime]

When this directory expires and is eligible for cleanup.

formatdate-time
system_metadata: Optional[Dict[str, object]]

Reserved system-managed metadata.

type: Optional[Literal["user", "index", "ephemeral", "system_ephemeral"]]

Directory type: ‘user’, ‘index’, ‘ephemeral’, or ‘system_ephemeral’.

One of the following:
"user"
"index"
"ephemeral"
"system_ephemeral"
updated_at: Optional[datetime]

Update datetime

formatdate-time

Create Directory

import os
from llama_cloud import LlamaCloud

client = LlamaCloud(
    api_key=os.environ.get("LLAMA_CLOUD_API_KEY"),  # This is the default and can be omitted
)
directory = client.beta.directories.create(
    name="x",
)
print(directory.id)
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}